package com.cirmuller.maidaddition.entity.task;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.cirmuller.maidaddition.entity.behaviour.UseHandCrankBehaviour;
import com.github.tartaricacid.touhoulittlemaid.api.task.IMaidTask;
import com.github.tartaricacid.touhoulittlemaid.entity.passive.EntityMaid;
import com.google.common.collect.Lists;
import com.mojang.datafixers.util.Pair;
import com.simibubi.create.AllBlocks;
import java.util.List;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.sounds.SoundEvent;
import net.minecraft.world.entity.ai.behavior.BehaviorControl;
import net.minecraft.world.item.ItemStack;
import org.jetbrains.annotations.Nullable;

public class UseHandCrankTask implements IMaidTask {
  private static final float searchRadius = 32.0F;
  
  public ResourceLocation getUid() {
    return new ResourceLocation("maidaddition", "hand_crank_task");
  }
  
  public ItemStack getIcon() {
    return AllBlocks.HAND_CRANK.m_5456_().m_7968_();
  }
  
  @Nullable
  public SoundEvent getAmbientSound(EntityMaid entityMaid) {
    return null;
  }
  
  public List<Pair<Integer, BehaviorControl<? super EntityMaid>>> createBrainTasks(EntityMaid entityMaid) {
    return Lists.newArrayList((Object[])new Pair[] { new Pair(Integer.valueOf(0), new UseHandCrankBehaviour(0.8F)) });
  }
  
  public float searchRadius(EntityMaid maid) {
    return 32.0F;
  }
  
  public boolean enableLookAndRandomWalk(EntityMaid maid) {
    return false;
  }
}
